/*
 * *********************************************************************************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain this
 * notice you can do whatever you want with this stuff. If we meet some day,
 * and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 * *********************************************************************************************************************************************
 * encoder.h
 *
 * Version 1.0
 *
 * Created: 29.05.2017
 * Author: Mario Hellmich <mario.hellmich@web.de>
 *
 * Rotary encoder poll and updating of appropriate globals
 */ 


#ifndef ENCODER_H_
#define ENCODER_H_


/* File Scope Variables */
extern volatile int8_t enc_delta;


/* Functions */
extern void enc_init(void);
extern int8_t get_enc(void);
extern uint32_t get_multiplier(void);
extern void read_enc(void);


#endif /* ENCODER_H_ */