/*
 * *********************************************************************************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain this
 * notice you can do whatever you want with this stuff. If we meet some day,
 * and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 * *********************************************************************************************************************************************
 * fault.h
 *
 * Version 1.0
 *
 * Created: 29.05.2017
 * Author: Mario Hellmich <mario.hellmich@web.de>
 *
 * Self check functions and hardware error routines
 */ 


#ifndef FAULT_H_
#define FAULT_H_


/* File Scope Variables */
// none

/* Functions */
extern void fault_init(void);
extern void handle_error(uint8_t error_code);
extern void clear_error(uint8_t error_code);
extern void PLL_fault_test(void);


#endif /* FAULT_H_ */