/*
 * *********************************************************************************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain this
 * notice you can do whatever you want with this stuff. If we meet some day,
 * and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 * *********************************************************************************************************************************************
 * ad.h
 *
 * Version 1.0
 *
 * Created: 29.05.2017
 * Author: Mario Hellmich <mario.hellmich@web.de>
 *
 * A/D converter control and processing
 */ 


#ifndef AD_H_
#define AD_H_


/* File Scope Variables */
extern const uint16_t gainctrl_scalefact;
extern const uint16_t rssi_scaledivisor;
extern const int16_t offset_dbm;
extern const uint16_t rssi_mgcscaledivisor;
extern const int16_t offset_mgc;
extern const uint8_t att_value;
extern volatile uint16_t gainctrl_meas[4];
extern volatile uint16_t rssi_meas[4];


/* Functions */
extern void adc_init(void);
extern void adc_process(void);


#endif /* AD_H_ */